%define name vips
%define version 8.0.2
%define release %mkrel 3

Summary:	C/C++ library for processing large images
Summary(de):	C/C++ Bibliothek zum Bearbeiten von großen Bilder
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:		LGPLv2+
URL:		http://www.vips.ecs.soton.ac.uk/
Source0:	http://www.vips.ecs.soton.ac.uk/supported/7.20/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#--------------------------------------------------------------------
BuildRequires: gtk-doc
BuildRequires: python-gobject3-devel
BuildRequires: %{_lib}OpenEXR-devel 
BuildRequires: %{_lib}cfitsio-devel 
BuildRequires: %{_lib}exif12-devel
BuildRequires: %{_lib}fftw-devel 
BuildRequires: %{_lib}fontconfig-devel 
BuildRequires: %{_lib}freetype6-devel 
BuildRequires: %{_lib}girepository-devel 
BuildRequires: %{_lib}glib2.0-devel 
BuildRequires: %{_lib}gsf-1_114-devel 
BuildRequires: %{_lib}jpeg-devel 
BuildRequires: %{_lib}lcms2-devel 
BuildRequires: %{_lib}magick-devel 
BuildRequires: %{_lib}matio-devel
BuildRequires: %{_lib}orc-devel 
BuildRequires: %{_lib}pango1.0-devel 
BuildRequires: %{_lib}png-devel 
BuildRequires: %{_lib}python-devel 
BuildRequires: %{_lib}tiff-devel 
BuildRequires: %{_lib}webp-devel 
BuildRequires: %{_lib}xml2-devel 
BuildRequires: libgomp-devel 
BuildRequires: libstdc++-devel 
BuildRequires: zlib1-devel
BuildRequires: perl(XML::Parser)
BuildRequires: swig 
#---------------------------------------------------------------
Requires:	%{_lib}magick6Q16

%description
VIPS is an image processing library. It is good for very large images
(even larger than the amount of RAM in your machine), and for working
with color.

This package should be installed if you want to use a program compiled
against VIPS.

#german
%description -l de
VIPS ist ein Bildverarbeitungssystem, das im Hinblick auf Effizienz 
entwickelt wurde. Es arbeitet gut mit Farben und großen Bildern 
(Bilder größer als der Arbeitsspeicher Ihres Rechners). Es kann diverse 
Aufgaben der Bildverarbeitung schneller als andere Pakete wie ImageMagick 
oder GIMP erledigen und hat einige Besonderheiten, wie beispielsweise die 
Erstellung von einzelnen Mosaik-Bildern aus mehreren Teilen.
 


%package devel
Summary:	Development files for %{name}
Summary(de):	Entwicklerdateien für %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the header files and
libraries necessary for developing programs using VIPS. It also
contains a C++ API and development man pages.

#german
%description devel -l de
Das %{name}-devel Paket beinhaltet die Header-Dateien und Bibliotheken 
zum Erstellen neuer Anwendungen unter/mit VIPS. Ausserdem ist eine C++ 
API und Entwickler MAN Pages enthalten.


%package tools
Summary:	Command-line tools for %{name}
Summary(de):	Kommandozeilenwerkzeuge für %{name}
Group:		Sound
Requires:	%{name} = %{version}-%{release}

%description tools
The %{name}-tools package contains command-line tools for working with VIPS.

#german
%description tools -l de
Das %{name}-Tools Paket beinhaltet Kommandzeilenwerkzeuge zum Arbeiten mit 
VIPS.


%package python
Summary:	Python support for %{name}
Summary(de):	Python-Unterstützung für %{name}
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python >= 2.6.6

%description python
The %{name}-python package contains Python support for VIPS.

#german
%description python -l de
Das %{name}-Python Paket bietet Python Erweiterung für VIPS. 



%prep
%setup -q

find . -name 'CVS' -type d -print0 | xargs -0 rm -rf


%build
%configure2_5x --disable-static

%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

find $RPM_BUILD_ROOT \( -name '*.la' -o -name '*.a' \) -exec rm -f {} ';'


rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc/vips
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/locale/malkovich

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %name.lang
%defattr(-,root,root,-)
%doc AUTHORS NEWS THANKS TODO COPYING ChangeLog
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/Vips-8.0.typelib


%files devel
%defattr(-,root,root,-)
%{_includedir}/vips
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%doc doc/html
%{_datadir}/gtk-doc/html
%{_datadir}/gir-1.0/Vips-8.0.gir

   
%files tools
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*


%files python
%defattr(-,root,root,-)
%{_libdir}/python2.7/site-packages/vipsCC
%{_libdir}/python2.7/site-packages/gi/overrides/


%changelog
* Sun Nov 06 2016 adrianomorselli <adrianomorselli> 8.0.2-3uplos2016
- rebuild

* Tue May 10 2016 bb <bb> 8.0.2-3pclos2016
- rebuild for new imagemagick

* Fri Jul 24 2015 pp <pp> 8.0.2-2pclos2015
- rebuild for new OpenEXR

* Fri Jul 10 2015 bb <bb> 8.0.2-1pclos2015
- update


